<?php

namespace plugin\cms\controller;

use plugin\cms\model\CmsThumb;
use think\admin\Controller;
use think\admin\helper\QueryHelper;

/**
 * 点赞城市管理
 */
class Thumb extends Controller
{
    public function index()
    {
        $this->title = '点赞城市管理';
        CmsThumb::mQuery()->layTable(function () {
        }, static function (QueryHelper $query) {
            $query->equal('status')->dateBetween('create_at')->like('content#keyword');
        });
    }

    public function add()
    {
        $this->title = '添加点赞城市';
        CmsThumb::mForm('form');
    }

    public function edit()
    {
        $this->title = '编辑点赞城市';
        $this->id = $this->request->param('id', 0, 'intval');         //当前栏目ID
        CmsThumb::mForm('form');
    }

    public function remove()
    {
        CmsThumb::mDelete('id');
    }

    public function audit()
    {
        CmsThumb::mSave($this->_vali([
            'id.require' => '点赞城市ID不能为空',
            'is_audit.in:0,1,2'  => '状态值范围异常！',
            'audit_id.default' => $this->request->session('user')['id'],
        ]), 'id');
    }

    public function status()
    {
        CmsThumb::mSave($this->_vali([
            'id.require' => '点赞城市ID不能为空',
            'status.in:0,1'  => '状态值范围异常！',
            'status.require' => '状态值不能为空！',
        ]), 'id');
    }


    public function _status_save_result($state, $data)
    {
        if ($state) {
            $status = $this->request->param('status');
            $id = $this->request->param('id');
            if ($status == 1) {
                CmsThumb::mk()->where('id', $id)->save([
                    'publish_at' => date('Y-m-d H:i:s')
                ]);
            }
        }
    }
}