<?php

namespace plugin\inspection\controller;

use plugin\inspection\model\InspectionStaff;
use think\admin\Controller;
use think\admin\helper\QueryHelper;

/**
 * 巡检人员管理
 */
class Staff extends Controller
{
    /**
     * 巡检人员列表
     * @auth true
     * @menu true
     * @return void
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\DbException
     * @throws \think\db\exception\ModelNotFoundException
     */
    public function index()
    {
        $this->title = '巡检人员管理';
        InspectionStaff::mQuery()->layTable(function () {

        }, function (QueryHelper $query) {
            $query->like(['name|phone|address#keyword'])->equal(['status']);
        });
    }

    /**
     * 添加巡检人员
     * @auth true
     * @menu true
     * @return void
     */
    public function add()
    {
        $this->title = '添加巡检人员';
        InspectionStaff::mForm('form');
    }

    /**
     * 编辑巡检人员
     * @auth true
     * @menu true
     * @return void
     */
    public function edit()
    {
        $this->title = '编辑巡检人员';
        InspectionStaff::mForm('form');
    }

    /**
     * 启用/禁用人员
     * @auth true
     * @menu true
     * @return void
     */
    public function status()
    {
        InspectionStaff::mSave($this->_vali([
            'id.require' => '人员ID不能为空',
            'status.in:0,1' => '状态值范围异常！',
            'status.require' => '状态值不能为空！',
        ]), 'id');
    }

    /**
     * 删除巡检人员
     * @auth true
     * @menu true
     * @return void
     */
    public function remove()
    {
        InspectionStaff::mDelete('id');
    }
}